<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ipc__pipe__enums" kind="group">
    <compoundname>group_ipc_pipe_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__ipc__pipe__enums_1ga91750337b3471d3eb01ec316358d0598" kind="enum" prot="public" static="no">
        <name>cy_en_ipc_pipe_status_t</name>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a81f0db1ecbe617526b177482b818d3c2" prot="public">
          <name>CY_IPC_PIPE_SUCCESS</name>
          <initializer>=(uint32_t)(0x00u)</initializer>
          <briefdescription>
<para>Pipe API return for no error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598ab31ffd8744a833186f7c9d512eabe6c2" prot="public">
          <name>CY_IPC_PIPE_ERROR_NO_IPC</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 1ul)</initializer>
          <briefdescription>
<para>Pipe API return for no valid IPC channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598ac7ca9691745f7ae0792dcfd01ed3ab91" prot="public">
          <name>CY_IPC_PIPE_ERROR_NO_INTR</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 2ul)</initializer>
          <briefdescription>
<para>Pipe API return for no valid interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598aec9649896f736e75b2854fe38130f6a8" prot="public">
          <name>CY_IPC_PIPE_ERROR_BAD_PRIORITY</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 3ul)</initializer>
          <briefdescription>
<para>Pipe API return for bad priority parameter. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a5d280ffc91a68d8ef0130605bde0d3f9" prot="public">
          <name>CY_IPC_PIPE_ERROR_BAD_HANDLE</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 4ul)</initializer>
          <briefdescription>
<para>Pipe API return for bad pipe handle. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598ab2ed6c3078f673e4ad7e156ce53019f5" prot="public">
          <name>CY_IPC_PIPE_ERROR_BAD_ID</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 5ul)</initializer>
          <briefdescription>
<para>Pipe API return for bad pipe ID. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a812146fc4f66493f074fea7b907546ae" prot="public">
          <name>CY_IPC_PIPE_ERROR_DIR_ERROR</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 6ul)</initializer>
          <briefdescription>
<para>Pipe API return for invalid direction (Not used at this time) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a32b438fe8e90d1abbc2bf5ed207e7f65" prot="public">
          <name>CY_IPC_PIPE_ERROR_SEND_BUSY</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 7ul)</initializer>
          <briefdescription>
<para>Pipe API return for pipe is currently busy. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a52b1a5b4d3e27843ff087c8d60777bd6" prot="public">
          <name>CY_IPC_PIPE_ERROR_NO_MESSAGE</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 8ul)</initializer>
          <briefdescription>
<para>Pipe API return for no message indicated. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a543728586756be34a6f59c396d67fdfe" prot="public">
          <name>CY_IPC_PIPE_ERROR_BAD_CPU</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 9ul)</initializer>
          <briefdescription>
<para>Pipe API return for invalid CPU value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ipc__pipe__enums_1gga91750337b3471d3eb01ec316358d0598a99acec23566ae05ad39ad35b9e4dcafa" prot="public">
          <name>CY_IPC_PIPE_ERROR_BAD_CLIENT</name>
          <initializer>=(uint32_t)(CY_IPC_PIPE_ID_ERROR | 10ul)</initializer>
          <briefdescription>
<para>Pipe API return for client out of range. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ipc_pipe_status_t: </bold><linebreak />Return constants for IPC pipe functions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="216" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" bodystart="203" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_pipe.h" line="204" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Enumerations are used in the driver. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>